Page MenuHomePhabricator

[Bug] Gallery next / previous buttons use default arrow instead of pointer (hand) cursor
Closed, ResolvedPublic0.5 Estimated Story Points

Description

Steps to Reproduce

  1. Go to https://en.m.wikipedia.org/wiki/Barack_Obama#/media/File%3APresident_Barack_Obama.jpg
  2. Move the mouse cursor over the advance or previous arrows

Expected Results

  • The hand cursor is shown to indicate that these are clickable links

Actual Results

  • The arrow cursor is shown

Environments Observed

  • enwiki

Browser Version

  • Chromium v66.0.3359.181

OS Version

  • Ubuntu v18.04 64b

Device Model

  • Desktop

Device Language

  • English

Developer notes

This should really be addressed in mw-ui-button.

Acceptance criteria

  • cursor: pointer applies for mw-ui-buttons

QA instructions

Environment: staging
Browser & device: desktop, all browsers
Skin: Minerva
Steps:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 1:15 PM
Jdlrobson moved this task from Backlog to Bugs on the MinervaNeue board.Jun 13 2018, 3:57 PM
Jdlrobson added subscribers: Volker_E, Jdlrobson.

This keeps coming up - see T145493.
@Volker_E can we just add cursor:pointer on all mw-ui-icon's or find some way to programmatically make sure they gain the cursor point? this seems to be the root cause of the problem here.

I'd rather not just fix one single case of this again but find a better long term solution.

Vvjjkkii renamed this task from [Bug] Gallery next / previous buttons use pointer instead of hand cursor to 63aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 63aaaaaaaa to [Bug] Gallery next / previous buttons use pointer instead of hand cursor.Jul 2 2018, 12:29 PM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

@Jdlrobson Sorry, that got lost in other stuff. A short term solution would be to apply cursor: pointer on .slider-button .mw-ui-icon or only on the arrow icons. But let's be honest, the markup is a crappy div soup. There's a title attribute on the slider buttons without content. Don't see patching on top of that as especially useful, but if you want to provide a patch for above, I'd merge it.

alexhollender added a subscriber: alexhollender.

Agree that we should use cursor:pointer here. Taking it off the design board.

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptSep 17 2018, 4:17 PM
Jdlrobson lowered the priority of this task from Medium to Low.Sep 17 2018, 6:14 PM
Jdlrobson updated the task description. (Show Details)

@Jdlrobson Sorry, that got lost in other stuff. A short term solution would be to apply cursor: pointer on .slider-button .mw-ui-icon or only on the arrow icons. But let's be honest, the markup is a crappy div soup. There's a title attribute on the slider buttons without content. Don't see patching on top of that as especially useful, but if you want to provide a patch for above, I'd merge it.

Are there any downsides to applying to all mw-ui-button classes?

Niedzielski renamed this task from [Bug] Gallery next / previous buttons use pointer instead of hand cursor to [Bug] Gallery next / previous buttons use hand instead of pointer cursor.Sep 24 2018, 6:34 PM

^ Renamed based on expected vs actual description. I think I mistitled this task before. Pointer is the current behavior and hand is the desired.

Change 462560 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] ImageOverlay arrows should be buttons

https://gerrit.wikimedia.org/r/462560

@Niedzielski The new title is still confusing as CSS uses value pointer for the hand cursor vs default for the arrow cursor.

Volker_E renamed this task from [Bug] Gallery next / previous buttons use hand instead of pointer cursor to [Bug] Gallery next / previous buttons use default arrow instead of pointer (hand) cursor.Sep 24 2018, 8:17 PM

Change 462560 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] ImageOverlay arrows should be buttons

https://gerrit.wikimedia.org/r/462560

This was such a trivial task, I just did it (and @Volker_E merged).

@alexhollender I've loaded the code on https://reading-web-staging.wmflabs.org - can you check the behaviour there and resolve if you're satisfied?

Jdlrobson raised the priority of this task from Low to Medium.Sep 24 2018, 9:28 PM
Jdlrobson set the point value for this task to 0.5.Sep 25 2018, 4:09 PM
Jdlrobson reassigned this task from Ryasmeen to ovasileva.Oct 8 2018, 5:07 PM
Jdlrobson added a subscriber: Ryasmeen.
ovasileva closed this task as Resolved.Oct 8 2018, 8:33 PM
ovasileva updated the task description. (Show Details)

all done!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 8 2018, 8:33 PM